
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class CanvasFrame extends JFrame implements ActionListener
{
	private MyCanvas canvas;
	private JButton click;
	
	public CanvasFrame()
	{
		Container c = getContentPane();
		c.setLayout( new FlowLayout() );
		click = new JButton( "Move" );
		canvas = new MyCanvas();
		c.add( click );
		c.add( canvas );
		click.addActionListener( this );
		
	}
	
	public void actionPerformed( ActionEvent ae )
	{
		canvas.move();
		canvas.repaint();  // no need to do this if move() method contains call to repaint()
	}
}